#
# spec file for package libgtkdatabox
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libver 0_9_3-1

Name:           libgtkdatabox
Version:        0.9.3.1
Release:        1.13
Summary:        GTK+-2 widget for fast data display
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://sourceforge.net/projects/gtkdatabox
Source0:        http://sourceforge.net/projects/gtkdatabox/files/gtkdatabox/%{version}/gtkdatabox-%{version}.tar.gz
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GtkDatabox is a widget for the Gtk+-2 library designed to display large
amounts of numerical data fast and easy.

%package devel
Summary:        Development files for GtkDatabox
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
The libgtkdatabox-devel package contains libraries, header files and
documentation for developing applications that use libgtkdatabox.

%package -n %{name}-%{libver}
Summary:        GTK+ widget for fast data display
Group:          Development/Libraries/C and C++
Provides:       %{name} = %{version}
Obsoletes:      %{name}-%{libver} < %{version}

%description -n %{name}-%{libver}
GtkDatabox is a widget for the Gtk+-2 library designed to display large
amounts of numerical data fast and easy.

%prep
%setup -q -n gtkdatabox-%{version}

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -n %{name}-%{libver} -p /sbin/ldconfig

%postun -n %{name}-%{libver} -p /sbin/ldconfig

%files -n %{name}-%{libver}
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/%{name}-*.so.*

%files devel
%doc examples/*.c
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gtkdatabox.pc

%changelog
* Thu Apr 29 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.9.3.1
  * bug fix that caused xoscope's background color to be
    displayed incorrectly
* Fri Dec 16 2016 Rene.vanPaassen@gmail.com
- update to version 0.9.3.0, mostly bugfixes and small addition;
  also the patches are no longer needed, removed.
- remove libgtkdatabox-0.9.1.3-gdk-deprecated.patch and
  libgtkdatabox-ld_fix.diff; fixed on upstream release
* Sun Nov  8 2015 p.drouand@gmail.com
- Update to version 0.9.2.0
  * No short changelog available; please read the ChangeLog file
- Remove libgtkdatabox-0.9.1.3-gtk-2.22.patch; fixed on upstream
  release
- Update libgtkdatabox-ld_fix.diff
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Sep 22 2011 suse-tux@gmx.de
- added Patch2 (libgtkdatabox-ld_fix.diff) to fix the build for factory
  (link with -lm)
- added gtk-doc BuildRequire (needed for autoreconf call which is required
  by Patch2)
- moved %%%%configure into the %%%%build section
* Fri Sep  2 2011 kirill.kirillov@gmail.com
- cleaned spec using spec-cleaner
* Fri Aug 26 2011 kirill.kirillov@gmail.com
- initial package of version 0.9.1.3
